Вход | Регистрация
 
1С:Предприятие :: 1С:Предприятие 8 общая

Нужны файлы mchar.so, fasttrun.so, fulleq.so для postgresql 8.4.20 (centos 6)

Нужны файлы mchar.so, fasttrun.so, fulleq.so для postgresql 8.4.20 (centos 6)
Я
   mavpa
 
07.05.20 - 21:09
Имеется установленный сервер 1с 8.3.13.1865 на centos 6, установлен там же postgresql версии 8.4.20 (чистая сборка, не модифицированная от 1с). Клиент, само собой, сходу не подключается к серверу, выкатывается пресловутая ошибка, мол, "mchar не найден". Для решения данной проблемы нужно добавить файлы mchar.so, fasttrun.so, fulleq.so в /usr/lib64/pgsql, их можно взять из сборок с сервера https://ftp.etersoft.ru/pub/Etersoft/Postgre%40Etersoft/8.4.4/x86_64/CentOS/ (распаковав файл postgresql-8.4eter-contrib-8.4.4-eter1.1centos.x86_64.rpm), но там лежат только версии этого файла для centos 5 и centos 5.5. Где найти указанную выше сборку для centos 6 или отдельно эти три файла?

p.s. Пытался собрать их из исходников с помощью mock (исходники брал отсюда http://ftp.etersoft.ru/pub/Etersoft/Postgres%40Etersoft/8.4.4/sources/), но не собралось, так как эти исходники содержат .spec файл, сделанный для altlinux.
   mavpa
 
1 - 07.05.20 - 21:12
И да, разумеется указанный выше три файла из сборок для centos 5 и  5.5 я пытался подсунуть в /usr/lib64/pgsql/, само собой они не подошли (ругается сразу на несоответствие magic block)
   bolero
 
2 - 08.05.20 - 10:04
(0) некрофилия к хорошему не приведет
быстрее сразу накатить centos 8 и pg11, чем искать so для древнелохматых версий
с последними pg жизнь намного проще, чем была тогда

сейчас эту проблему порешаешь, потом начнется libpng, mscorefonts и прочие трухляшки
   ansh15
 
3 - 08.05.20 - 11:06
(2) >>сразу накатить centos 8
Ты уже пробовал? И как?
Вендор что-то не спешит объявлять поддержку, хотя с прошлой осени прошло уже достаточно времени...
   mavpa
 
4 - 08.05.20 - 11:35
В общем, если у кого вдруг есть именно древняя версия, откуда можно выцарапать данные библиотеки, прошу поделиться или указать ссыль...
   arsik
 
5 - 08.05.20 - 11:55
(4) А зачем вы ванильную сборку постгреса используете? Она не будет нормально с 1С работать. Возьмите нормальную здесь - https://1c.postgres.ru/
   mavpa
 
6 - 09.05.20 - 11:44
К сожалению, мне надо продолжить работу именно с версией 8.4.20, так как на нее завязаны другие приложения, работающие на этом же сервере
   Garykom
 
7 - 09.05.20 - 11:49
(6) Про докер слышали?
   Вафель
 
8 - 09.05.20 - 11:50
Можно без докера. Просто виртуалку поднять
Если времени на изучение. нет
   Garykom
 
9 - 09.05.20 - 11:54
(8) Виртуалка это потери производительности, докер же нет

Список тем форума
Рекламное место пустует  Рекламное место пустует
ВНИМАНИЕ! Если вы потеряли окно ввода сообщения, нажмите Ctrl-F5 или Ctrl-R или кнопку "Обновить" в браузере.
Тема не обновлялась длительное время, и была помечена как архивная. Добавление сообщений невозможно.
Но вы можете создать новую ветку и вам обязательно ответят!
Каждый час на Волшебном форуме бывает более 2000 человек.